package com.sd.business.entity.order.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 订单装箱
 * </p>
 *
 * @author
 * @since 2023-09-25
 */
@Getter
@Setter
@TableName("order_encasement")
public class OrderEncasement extends BasePo {

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 长 cm
     */
    private BigDecimal length;

    /**
     * 宽 cm
     */
    private BigDecimal width;

    /**
     * 高 cm
     */
    private BigDecimal height;

    /**
     * 净重 g
     */
    private BigDecimal netWeight;

    /**
     * 包裹总数
     */
    private Integer total;

}
